<div dir="ltr"><div class="gmail_default" style="font-family:verdana,sans-serif;font-size:small;color:rgb(11,83,148)">Hi Pablo,<br><br></div><div class="gmail_default" style="font-family:verdana,sans-serif;font-size:small;color:rgb(11,83,148)">The error you're getting usually indicates that either you have built the plugin against a different Qt version or if against the same version, then a different Qt configuration or architecture or the plugin and Qt are built using different compilers.<br><br></div><div class="gmail_default" style="font-family:verdana,sans-serif;font-size:small;color:rgb(11,83,148)">Do you have any other Qt versions installed on your system that VTK might be compiling against? Have you tried compiling VTK against a different Qt version?<br><br></div></div><div class="gmail_extra"><br clear="all"><div><div class="gmail_signature"><div dir="ltr"><div><div dir="ltr"><div><div dir="ltr"><div><span style="color:rgb(11,83,148)"><br></span></div><div><span style="color:rgb(11,83,148)"><span style="font-family:verdana,sans-serif">Warm Regards,<br><br></span></span></div><span style="color:rgb(11,83,148)"><span style="font-family:verdana,sans-serif">Sankhesh Jhaveri<br>Research & Development Engineer</span></span><div><span style="color:rgb(11,83,148)"><span style="font-family:verdana,sans-serif">Kitware, Inc.<br><b>Phone</b>: (518) 881 4417<br><b>Fax</b>: (518) 371 4573</span></span><br><b></b><br>¬†</div></div></div></div></div></div></div></div>
<br><div class="gmail_quote">On Sun, Jul 5, 2015 at 3:03 AM, Pablo Hern√°ndez <span dir="ltr"><<a href="mailto:pablo.hernandez.cerdan@outlook.com" target="_blank">pablo.hernandez.cerdan@outlook.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">


<div><div dir="ltr">I have recompiled QT (developer-build) to version 5.5, and using VTK release from git.<br>I set VTK_QT_VERSION to 5, and it links and build properly.<br>Eventhough when I add libQVTKWidgetPlugin.so to the qt5base folder, the widget does not load, with error:<br>Plugin verification data mismatch in '/home/phc/Software/VTK-release/build-devtools/lib/libQVTKWidgetPlugin.so'<br><br>I also tried with qtcreator, and no luck.<br>ldd in the WidgetPlugin.so shows that is linking properly to the same QT build.<br>I wonder, is there anybody who was succesfull using the VTKwidget in qt5?<br>Is there a bug in the medatada in the plugin? I have also noticed that I receive a warning building VTK in the header Q4VTKWidgetPlugin.h<br><br>Any clue is welcome<br><br>Cheers,<br>Pablo<br>                                          </div></div>
<br>_______________________________________________<br>
Powered by <a href="http://www.kitware.com" rel="noreferrer" target="_blank">www.kitware.com</a><br>
<br>
Visit other Kitware open-source projects at <a href="http://www.kitware.com/opensource/opensource.html" rel="noreferrer" target="_blank">http://www.kitware.com/opensource/opensource.html</a><br>
<br>
Please keep messages on-topic and check the VTK FAQ at: <a href="http://www.vtk.org/Wiki/VTK_FAQ" rel="noreferrer" target="_blank">http://www.vtk.org/Wiki/VTK_FAQ</a><br>
<br>
Search the list archives at: <a href="http://markmail.org/search/?q=vtkusers" rel="noreferrer" target="_blank">http://markmail.org/search/?q=vtkusers</a><br>
<br>
Follow this link to subscribe/unsubscribe:<br>
<a href="http://public.kitware.com/mailman/listinfo/vtkusers" rel="noreferrer" target="_blank">http://public.kitware.com/mailman/listinfo/vtkusers</a><br>
<br></blockquote></div><br></div>